PDA

Visualizza la versione completa : kbluetooth e conflitti da risolvere


HoLy-KniFe
30-12-2005, 11:05
ho installato da tempo kde 3.5, mi servirebbe un tool per gestire la connessione bluetooth, che ho integrato nel portatile, ma se provo a installare il pacchetto debian, non riesce a risolvere le dipendenze perch richiede il pacchetto kdelisb4 (che su 3.5 sostituita da kdelibs4c2a mi pare), ho provato la compilazione a mano, ma non andata a buon fine, e ho quindi provato a compilare a mano kdelibs4, ma ho un messaggio di errore riguardante il fatto che aRts non nella stessa directory di kde3.5

checking for aRts-1.1... configure: error: aRts 1.1 not installed in the same prefix as KDE!
Please reinstall aRts in the same prefix as KDE, different prefixes are not
supported right now.

(kdelibs prefix is /usr/kde/3.5, aRts prefix is /usr)
come posso fare a risolvere il problema delle dipendenze?
esiste un modo per avere tutte e due le librerie kdelibs4 e kdelibs4c2a?
altrimenti esiste un metodo testuale per gestire le connessione bluetooth con il cellulare?

vi ringrazio e attendo risposta

andy caps
30-12-2005, 12:05
prova a compilare quello su svn se hai kde 3.5


http://docs.kde.org/development/en/extragear-pim/kdebluetooth/download.cvs.html

la guida dettagliatissima
deve solo installare i file di svn

HoLy-KniFe
30-12-2005, 12:15
mai utilizzato svn.. ho questo errore che cosa significa?


svn checkout -N svn://svn.kde.org/home/kde/trunk/extragear/p
svn: Can't connect to host 'svn.kde.org': Connection refused


grazie

andy caps
30-12-2005, 12:58
prova a correggere la riga mettendo al posto del server

svn.kde.org
websvn.kde.org

ma non credo che vada su kde preinstallato perche richiede unsermake poi e dovresti compilare anche quello

HoLy-KniFe
30-12-2005, 14:16
sono riuscito.. grazie mille!
non avevo mai letto niente su svn, sapresti indicarmi qualcosa per capirne il funzionamento? mi sembra un ottimo strumento..

edit:
ho scritto il post durante il make....

make[1]: *** [kobex.lo] Error 1
make[1]: Leaving directory `/home/matte/pim/kdebluetooth/libkobex'
make: *** [all-recursive] Error 1

che cosa puo essere?

andy caps
30-12-2005, 14:41
prova ad installare libopenobex-1.0-0-dev o comunque i files di obex

svn il sostituto di cvs


i server contengono tutti i files dei programmi che con gli appropriati comandi vengono copiati in locale pronti per essere compilati

HoLy-KniFe
30-12-2005, 15:10
funziona!
ti ringrazio veramente molto.

per chi avesse avuto il mio stesso problema o avr ho:
installato la libreria qui sopra indicata da andy caps e poi

make clean
cd ..
./configure --prefix=$(kde-config --prefix)
cd kdebluetooth
make
su -
password
make install

grazie ancora

Loading